Verify account
/accounts/verify_account
Target audience: Developers
Release version: 4.9.24
Verify account¶
Introduction¶
This endpoint verifies an account using a confirmation code from a previously created verification request. If the account is not already active, it will be activated. Any pending shared subscriptions on the account will also be activated automatically.
Use Pending verification request to check the status of a verification request before completing it.
URI¶
| Environment | URI |
|---|---|
| Stage | https://payway-api.stage.adeprimo.se/external/api/v1/accounts/verify_account |
| Production | https://backend.worldoftulo.com/external/api/v1/accounts/verify_account |
Requirements¶
| Identity | Scope |
|---|---|
| No | /external/account/w |
Parameters¶
| Field | Required | Type | Description |
|---|---|---|---|
| account_id | Required | String | The id of the account to verify. Size range: ..24 Allowed values: "/^[a-f\d]{24}$/i" |
| confirmation_code | Required | String | The confirmation code received from the verification request |
Curl Example¶
curl --request POST \
--url https://payway-api.stage.adeprimo.se/external/api/v1/accounts/verify_account \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>' \
--header 'content-type: application/json' \
--data '{
"account_id": "5c6291d537c2ed78a11518b7",
"confirmation_code": "89bd6d78-4ace-4a0c-a517-afbbbc97c659"
}'
Response¶
| Field | Description |
|---|---|
| account_id | The id of the verified account |
| status | The verification status of the account: "verified" |
| verified | Whether the account is verified |
Example response¶
HTTP 200
{
"item": {
"account_id": "5c6291d537c2ed78a11518b7",
"status": "verified",
"verified": true
}
}
Errors¶
This API uses the common error conventions of the Payway API